VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Typedefs | Functions | Variables
VSTGUI::UIDescriptionPrivate Namespace Reference

## Classes
struct | Locale
class | StringToken

## Typedefs
using | StringTokenList = std::list< StringToken >

## Functions
template<bool nameHasExtension, size_t numIndicators>
std::pair< size_t, size_t > | rangeOfScaleFactor (const std::string &name, const char(&identicator)[numIndicators])
template<size_t numIndicators>
bool | decodeScaleFactorFromName (const std::string &name, const char(&identicator)[numIndicators], double &scaleFactor)
static bool | decodeScaleFactorFromName (const std::string &name, double &scaleFactor)
static std::string | removeScaleFactorFromName (const std::string &name)
static bool | tokenizeString (std::string &str, StringTokenList &tokens)
static bool | computeTokens (StringTokenList &tokens, double &result)

## Variables
static constexpr const char | scaleFactorIndicatorChars [] = "#_"

## Typedef Documentation

using StringTokenList = std::list<StringToken>

## Function Documentation

static bool VSTGUI::UIDescriptionPrivate::computeTokens | ( | StringTokenList & | tokens,
|  | double & | result
| ) |  |
| static

bool VSTGUI::UIDescriptionPrivate::decodeScaleFactorFromName | ( | const std::string & | name,
|  | const char(&) | identicator[numIndicators],
|  | double & | scaleFactor
| ) |  |

static bool VSTGUI::UIDescriptionPrivate::decodeScaleFactorFromName | ( | const std::string & | name,
|  | double & | scaleFactor
| ) |  |
| static

std::pair<size_t, size_t> VSTGUI::UIDescriptionPrivate::rangeOfScaleFactor | ( | const std::string & | name,
|  | const char(&) | identicator[numIndicators]
| ) |  |

static std::string VSTGUI::UIDescriptionPrivate::removeScaleFactorFromName | ( | const std::string & | name | ) |
| static

static bool VSTGUI::UIDescriptionPrivate::tokenizeString | ( | std::string & | str,
|  | StringTokenList & | tokens
| ) |  |
| static

## Variable Documentation

constexpr const char scaleFactorIndicatorChars[] = "#_"
| static